Package com.google.android.exoplayer2.upstream

## Interface DataSink.Factory

- All Known Implementing Classes:
    `CacheDataSink.Factory`, `CacheDataSinkFactory`, `FailOnCloseDataSink.Factory`
  Enclosing interface:
    DataSink

      public static interface DataSink.Factory

  A factory for `DataSink` instances.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `DataSink` | `createDataSink()` | Creates a `DataSink` instance.

- - ### Method Detail

    - #### createDataSink

          DataSink createDataSink()

      Creates a `DataSink` instance.